function [out] = IcelandSystemConstrained3(hmax0,hmax1,hbar,mu,e0,e1,gamma,tau0,tau1,t0,t1,st,emax0,emax1)
    %Returns vector for Iceland simulations of two equations and two unkowns
    %when at corner solution for lamda0 and lamda1.

    lamda0=t1-t0;
    lamda1=1-t1;
    %etwid is etwid0 in part 0
    part1=@(l) (etwid0(l,t0,t1,e0,e1)).^(1+1/gamma);
    part2=@(l) etwid0(l,t0,t1,e0,e1);
    %etwid is standard etwid from EITC in part 1
    part3=@(l) (etwid(l,t1,e0,e1)).^(1+1/gamma);
    part4=@(l) etwid(l,t1,e0,e1);
    out=zeros(3,1);
    
    %The system (see documentation)
    out(1)=(1-tau0)*emax0*(1-t0)/mu/(hmax0^gamma)-(hmax0/(emax0^(1/gamma))*simint(part1,0,lamda0,.0001)-hbar*simint(part2,0,lamda0,.0001)...
                +hmax1/(emax1^(1/gamma))*simint(part3,0,lamda1,.0001)-hbar*simint(part4,0,lamda1,.0001)+st);
    out(2)=(1-tau1)*emax1*(1-t0)/mu/(hmax1^gamma)-(hmax0/(emax0^(1/gamma))*simint(part1,0,lamda0,.0001)-hbar*simint(part2,0,lamda0,.0001)...
                +hmax1/(emax1^(1/gamma))*simint(part3,0,lamda1,.0001)-hbar*simint(part4,0,lamda1,.0001)+st);    
    %out(3)=imag(out(1))^2+imag(out(2))^2; %to staunch out imaginary solutions 
end

